Show / Hide Table of Contents

# Class CertificateValidationEventArgs

An argument passed on to the user for validating the server certificate during SSL authentication.

##### Inheritance

Object
CertificateValidationEventArgs

###### Namespace: Titanium.Web.Proxy.EventArguments

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class CertificateValidationEventArgs : ProxyEventArgsBase

### Constructors

| Improve this Doc View Source

#### CertificateValidationEventArgs(SessionEventArgsBase, X509Certificate, X509Chain, SslPolicyErrors)

##### Declaration

    public CertificateValidationEventArgs(SessionEventArgsBase session, X509Certificate certificate, X509Chain chain, SslPolicyErrors sslPolicyErrors)

##### Parameters

Type | Name | Description
--- | --- | ---
SessionEventArgsBase | session |
X509Certificate | certificate |
X509Chain | chain |
SslPolicyErrors | sslPolicyErrors |

### Properties

| Improve this Doc View Source

#### Certificate

Server certificate.

##### Declaration

    public X509Certificate Certificate { get; }

##### Property Value

Type | Description
--- | ---
X509Certificate |

| Improve this Doc View Source

#### Chain

Certificate chain.

##### Declaration

    public X509Chain Chain { get; }

##### Property Value

Type | Description
--- | ---
X509Chain |

| Improve this Doc View Source

#### IsValid

Is the given server certificate valid?

##### Declaration

    public bool IsValid { get; set; }

##### Property Value

Type | Description
--- | ---
Boolean |

| Improve this Doc View Source

#### Session

##### Declaration

    public SessionEventArgsBase Session { get; }

##### Property Value

Type | Description
--- | ---
SessionEventArgsBase | The session.

| Improve this Doc View Source

#### SslPolicyErrors

SSL policy errors.

##### Declaration

    public SslPolicyErrors SslPolicyErrors { get; }

##### Property Value

Type | Description
--- | ---
SslPolicyErrors |